﻿using Date_ddMMyyyy_Insert_DB_MVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using System.Data;
using System.Configuration;
using System.Data.SqlClient;

namespace Date_ddMMyyyy_Insert_DB_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(MedicineModel medicine)
        {
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand("Insert_Medicine"))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.Parameters.AddWithValue("@Name", medicine.Name.Trim());
                    cmd.Parameters.AddWithValue("@ManufacturingDate", medicine.ManufacturingDate.Trim());
                    cmd.Parameters.AddWithValue("@ExpiryDate", medicine.ExpiryDate.Trim());
                    cmd.Connection = con;
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }
            }

            ModelState.Clear();
            return View(new MedicineModel());
        }
    }
}